%global momorel 1
%global md5sum_src0 a8b97feccb32184820d5856fe78d34db
%define tarball xf86-video-rendition
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

Summary:   Xorg X11 rendition video driver
Name:      xorg-x11-drv-rendition
Version:   4.1.3
Release: %{momorel}m%{?dist}
URL:       http://www.x.org/
%global xorgurl http://xorg.freedesktop.org/releases/individual
%NoSource 0 %{xorgurl}/driver/%{tarball}-%{version}.tar.bz2 %{md5sum_src0}
Source1:   rendition.xinf
License:   MIT/X
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-root

ExclusiveArch: %{ix86}

BuildRequires: pkgconfig
BuildRequires: xorg-x11-server-sdk >= 1.2.0

Requires:  xorg-x11-server-Xorg >= 1.2.0

%description 
X.Org X11 rendition video driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static
%make

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
%{driverdir}/rendition_drv.so
%{moduledir}/v10002d.uc
%{moduledir}/v20002d.uc
%{_mandir}/man4/rendition.4*

%changelog
* Fri Jan 26 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.1.3-1m)
- update to 4.1.3

* Thu Nov  9 2006 Futoshi <futoshi@momonga-linux.org>
- (4.1.2-1m)
- update to 4.1.2

* Wed May 24 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.1.0-2m)
- delete duplicated dir

* Tue Apr 11 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (4.1.0-1m)
- update 4.1.0(Xorg-7.1RC1)

* Sat Mar 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.0.1.3-2m)
- To trunk

* Fri Feb 24 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.1.3-1.1m)
- import to Momonga

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 4.0.1.3-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 4.0.1.3-1
- Updated xorg-x11-drv-rendition to version 4.0.1.3 from X11R7.0

* Tue Dec 20 2005 Mike A. Harris <mharris@redhat.com> 4.0.1.2-1
- Updated xorg-x11-drv-rendition to version 4.0.1.2 from X11R7 RC4
- Removed 'x' suffix from manpage dirs to match RC4 upstream.
- Remove unnecessary *.data files from moduledir.

* Wed Nov 16 2005 Mike A. Harris <mharris@redhat.com> 4.0.1-1
- Updated xorg-x11-drv-rendition to version 4.0.1 from X11R7 RC2

* Fri Nov 4 2005 Mike A. Harris <mharris@redhat.com> 4.0.0.1-1
- Updated xorg-x11-drv-rendition to version 4.0.0.1 from X11R7 RC1
- Fix *.la file removal.
- Added v10002d.uc, v20002d.uc, vgafont-std.data, vgafont-vrx.data,
  vgapalette.data to file manifest, although these really belong as C files
  in the source, that end up built into the driver.

* Mon Oct 3 2005 Mike A. Harris <mharris@redhat.com> 4.0.0-1
- Update BuildRoot to use Fedora Packaging Guidelines.
- Deglob file manifest.
- Limit "ExclusiveArch" to x86

* Fri Sep 2 2005 Mike A. Harris <mharris@redhat.com> 4.0.0-0
- Initial spec file for rendition video driver generated automatically
  by my xorg-driverspecgen script.
